<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.base.manager.mapper.VwShareStShzyJtKyqcgpxxGxMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mosty.base.model.entity.afjcsj.VwShareStShzyJtKyqcgpxxGx">
        <result column="GPRXM" property="gprxm" />
        <result column="GPRHM" property="gprhm" />
        <result column="GPRSJH" property="gprsjh" />
        <result column="XM" property="xm" />
        <result column="SFYXH" property="sfyxh" />
        <result column="ZJHM" property="zjhm" />
        <result column="ZJLXDM" property="zjlxdm" />
        <result column="ZJLX" property="zjlx" />
        <result column="XBDM" property="xbdm" />
        <result column="XB" property="xb" />
        <result column="MZDM" property="mzdm" />
        <result column="MZ" property="mz" />
        <result column="LXDZ" property="lxdz" />
        <result column="GPFS" property="gpfs" />
        <result column="SPY" property="spy" />
        <result column="GPZT" property="gpzt" />
        <result column="GPDZ" property="gpdz" />
        <result column="GPSJ" property="gpsj" />
        <result column="CCCZ" property="cccz" />
        <result column="FCSJ" property="fcsj" />
        <result column="CCCZBH" property="ccczbh" />
        <result column="CCCZJD" property="ccczjd" />
        <result column="CCCZWD" property="ccczwd" />
        <result column="DDCZ" property="ddcz" />
        <result column="DDCZBH" property="ddczbh" />
        <result column="DDCZJD" property="ddczjd" />
        <result column="DDCZWD" property="ddczwd" />
        <result column="CCCZCOD" property="ccczcod" />
        <result column="CCCZXZ" property="ccczxz" />
        <result column="DDCZCOD" property="ddczcod" />
        <result column="DDCZXZ" property="ddczxz" />
        <result column="CFD" property="cfd" />
        <result column="DDD" property="ddd" />
        <result column="CC" property="cc" />
        <result column="CPH" property="cph" />
        <result column="ZWH" property="zwh" />
        <result column="BZ" property="bz" />
        <result column="INFOSOURCEADDR" property="infosourceaddr" />
        <result column="INFOSOURCEDESC" property="infosourcedesc" />
        <result column="DEP_ACTION_FLAG" property="depActionFlag" />
        <result column="DEP_ACTION_TIME" property="depActionTime" />
        <result column="DEP_FIRSTENTER_TIME" property="depFirstenterTime" />
        <result column="UUID" property="uuid" />
        <result column="GPH" property="gph" />
        <result column="PH" property="ph" />
        <result column="ETL_OPER_TYPE" property="etlOperType" />
        <result column="ETL_TIMESTAMP" property="etlTimestamp" />
        <result column="ETL_UPDATE_TIME" property="etlUpdateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        GPRXM, GPRHM, GPRSJH, XM, SFYXH, ZJHM, ZJLXDM, ZJLX, XBDM, XB, MZDM, MZ, LXDZ, GPFS, SPY, GPZT, GPDZ, GPSJ,
        CCCZ, FCSJ, CCCZBH, CCCZJD, CCCZWD, DDCZ, DDCZBH, DDCZJD, DDCZWD, CCCZCOD, CCCZXZ, DDCZCOD, DDCZXZ, CFD, DDD,
        CC, CPH, ZWH, BZ, INFOSOURCEADDR, INFOSOURCEDESC, DEP_ACTION_FLAG, DEP_ACTION_TIME, DEP_FIRSTENTER_TIME, UUID,
        GPH, PH, ETL_OPER_TYPE, ETL_TIMESTAMP, ETL_UPDATE_TIME
    </sql>

</mapper>
